summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--init.d/network.in6
-rw-r--r--net/iproute2.sh11
2 files changed, 13 insertions, 4 deletions
diff --git a/init.d/network.in b/init.d/network.in
index 135e5d8..01e88ce 100644
--- a/init.d/network.in
+++ b/init.d/network.in
@@ -63,7 +63,7 @@ tentative()
case "$RC_UNAME" in
Linux)
- [ -x /sbin/ip ] || return 1
+ [ -x /sbin/ip ] || [ -x /bin/ip ] || return 1
[ -n "$(ip -f inet6 addr show tentative)" ]
;;
*)
@@ -161,7 +161,7 @@ runip()
routeflush()
{
if [ "$RC_UNAME" = Linux ]; then
- if [ -x /sbin/ip ]; then
+ if [ -x /sbin/ip ] || [ -x /bin/ip ]; then
ip route flush scope global
ip route delete default 2>/dev/null
else
@@ -338,7 +338,7 @@ stop()
then
veinfo "$int"
runargs /etc/ifdown."$int" "$downcmd"
- if [ -x /sbin/ip ]; then
+ if [ -x /sbin/ip ] || [ -x /bin/ip ]; then
# We need to do this, otherwise we may
# fail to add things correctly on restart
ip address flush dev "$int" 2>/dev/null
diff --git a/net/iproute2.sh b/net/iproute2.sh
index 906a45e..09a72d7 100644
--- a/net/iproute2.sh
+++ b/net/iproute2.sh
@@ -1,9 +1,18 @@
# Copyright (c) 2007-2008 Roy Marples <roy@marples.name>
# All rights reserved. Released under the 2-clause BSD license.
+_ip()
+{
+ if [ -x /bin/ip ]; then
+ echo /bin/ip
+ else
+ echo /sbin/ip
+ fi
+}
+
iproute2_depend()
{
- program /sbin/ip
+ program $(_ip)
provide interface
after ifconfig
}